Subject: RE: bug#17562: 24.4.50; REGRESSION: mouse double-click on `(` does not select whole Lisp sexp

From: Drew Adams <[email-masked]>
Date: Mon, 26 May 2014 17:38:06 -0700 (PDT)

> Hmm... I can't reproduce it here (using "emacs -Q"):
> - after opening dired.el I first have to search for "defun dired-get-
> filename"
>   because it's not immediately visible.
> - once it's in sight, if I double-click on it, the whole expression is
>   selected&highlighted, point is moved to right after the matching close
>   paren, and as a consequence the window is redrawn to show the end of
>   the expression (since the beginning is now outside of the window).
> 
> I never use this feature, but I see the exact same behavior in
> Emacs-24.3, so I assume it's the way it's always worked.
> 
> Can you reproduce the problem with "emacs -Q"?

Please read the bug report.  The recipe starts with "emacs -Q".

And read the followup immediately afterward, including the part
about the defun needing to extend outside the window.

In fact, by looking closely you can often see the defun being first
selected correctly and then the region changing to select either
only part of it or more than it.  It seems that something, perhaps
related to window recentering, does not respect keeping the region
as it has been defined.